Package com.documentum.operations

# Interface IDfOperationMonitor

public interface IDfOperationMonitor
Provides access to operation errors as they occur. Allows for abort / continue decisions in real time.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ABORT`
  `static final int`
  `CONTINUE`
  `static final int`
  `NO`
  `static final int`
  `YES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getYesNoAnswer(IDfOperationError question)`
  Called by operation when an error / warning requires a yes or no response.
  `int`
  `progressReport(IDfOperation operation, int operationPercentDone, IDfOperationStep step, int stepPercentDone, IDfOperationNode node)`
  `int`
  `reportError(IDfOperationError error)`
  This method is called when an operation informs the monitor of the occurance of an error.

- ## Field Details

  - ### ABORT

    static final int ABORT
    See Also:
      - Constant Field Values

  - ### CONTINUE

    static final int CONTINUE
    See Also:
      - Constant Field Values

  - ### YES

    static final int YES
    See Also:
      - Constant Field Values

  - ### NO

    static final int NO
    See Also:
      - Constant Field Values

- ## Method Details

  - ### reportError

    int reportError(IDfOperationError error) throws DfException
    This method is called when an operation informs the monitor of the occurance of an error. The monitor should return either IDfOperationMonitor.CONTINUE or IDfOperationMonitor.ABORT.
    Parameters:
      `error` - operation error that occurred.
    Returns:
      IDfOperationMonitor.CONTINUE or IDfOperationMonitor.ABORT.
    Throws:
      `DfException`

  - ### getYesNoAnswer

    int getYesNoAnswer(IDfOperationError question) throws DfException
    Called by operation when an error / warning requires a yes or no response. The monitor can return IDfOperationMonitor.YES, IDfOperationMonitor.NO, or IDfOperationMonitor.ABORT.
    Parameters:
      `question` - operation error requiring a response.
    Returns:
      IDfOperationMonitor.YES=1, IDfOperationMonitor.NO=0, or IDfOperationMonitor.ABORT=-1.
    Throws:
      `DfException`

  - ### progressReport

    int progressReport(IDfOperation operation, int operationPercentDone, IDfOperationStep step, int stepPercentDone, IDfOperationNode node) throws DfException
    Returns:
      IDfOperationMonitor.ABORT,IDfOperation.CONTINUE
    Throws:
      `DfException`